Get a specific MDR detailed report request
Retrieves a specific MDR detailed report request by ID
GET
/
legacy
/
reporting
/
batch_detail_records
/
messaging
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const messaging = await client.legacy.reporting.batchDetailRecords.messaging.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(messaging.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
messaging = client.legacy.reporting.batch_detail_records.messaging.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(messaging.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
messaging, err := client.Legacy.Reporting.BatchDetailRecords.Messaging.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", messaging.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.messaging.MessagingRetrieveParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.messaging.MessagingRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessagingRetrieveResponse messaging = client.legacy().reporting().batchDetailRecords().messaging().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
messaging = telnyx.legacy.reporting.batch_detail_records.messaging.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(messaging)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$messaging = $client
->legacy
->reporting
->batchDetailRecords
->messaging
->retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
var_dump($messaging);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx legacy:reporting:batch-detail-records:messaging retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/legacy/reporting/batch_detail_records/messaging/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"directions": [
"INBOUND"
],
"record_types": [
"INCOMPLETE"
],
"connections": [
123
],
"report_name": "report_name_8hvb45Gu",
"status": "PENDING",
"report_url": "http://portal.telnyx.com/downloads/report_name_8hvb45Gu.csv",
"filters": [
{
"filter_type": "and",
"cli": "+13129457420",
"cli_filter": "contains",
"cld": "+13129457420",
"cld_filter": "contains",
"tags_list": "tag1",
"billing_group": "adfaa016-f921-4b6c-97bb-e4c1dad231c5"
}
],
"created_at": "2020-07-01T00:00:00-06:00",
"updated_at": "2020-07-01T00:00:00-06:00",
"profiles": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"7d4e3f8a-9b2c-4e1d-8f5a-1a2b3c4d5e6f"
],
"record_type": "mdr_report"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the resource.
Response
MDR detailed report request retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const messaging = await client.legacy.reporting.batchDetailRecords.messaging.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(messaging.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
messaging = client.legacy.reporting.batch_detail_records.messaging.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(messaging.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
messaging, err := client.Legacy.Reporting.BatchDetailRecords.Messaging.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", messaging.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.messaging.MessagingRetrieveParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.messaging.MessagingRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessagingRetrieveResponse messaging = client.legacy().reporting().batchDetailRecords().messaging().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
messaging = telnyx.legacy.reporting.batch_detail_records.messaging.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(messaging)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$messaging = $client
->legacy
->reporting
->batchDetailRecords
->messaging
->retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
var_dump($messaging);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx legacy:reporting:batch-detail-records:messaging retrieve \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/legacy/reporting/batch_detail_records/messaging/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"directions": [
"INBOUND"
],
"record_types": [
"INCOMPLETE"
],
"connections": [
123
],
"report_name": "report_name_8hvb45Gu",
"status": "PENDING",
"report_url": "http://portal.telnyx.com/downloads/report_name_8hvb45Gu.csv",
"filters": [
{
"filter_type": "and",
"cli": "+13129457420",
"cli_filter": "contains",
"cld": "+13129457420",
"cld_filter": "contains",
"tags_list": "tag1",
"billing_group": "adfaa016-f921-4b6c-97bb-e4c1dad231c5"
}
],
"created_at": "2020-07-01T00:00:00-06:00",
"updated_at": "2020-07-01T00:00:00-06:00",
"profiles": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"7d4e3f8a-9b2c-4e1d-8f5a-1a2b3c4d5e6f"
],
"record_type": "mdr_report"
}
}